Yate: XmlText Class Reference

Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XmlText Class Reference

Xml Declaration. More...

`#include <yatexml.h>`

Inheritance diagram for XmlText:

## Public Member Functions
| XmlText (const String &text)
| XmlText (const XmlText &orig)
virtual | ~XmlText ()
const String & | getText () const
void | setText (const char *text)
void | toString (String &dump, bool escape=true, const String &indent=String::empty(), const String *auth=0, const XmlElement *parent=0) const
virtual XmlText * | xmlText ()
bool | onlySpaces ()
virtual void | replaceParams (const NamedList &params)
Public Member Functions inherited from XmlChild
| XmlChild ()
virtual void | setParent (XmlParent *parent)
virtual XmlElement * | xmlElement ()
virtual XmlComment * | xmlComment ()
virtual XmlCData * | xmlCData ()
virtual XmlDeclaration * | xmlDeclaration ()
virtual XmlDoctype * | xmlDoctype ()
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual bool | alive () const
virtual void | destruct ()
virtual const String & | toString () const
virtual const String & | traceId () const
virtual void * | getObject (const String &name) const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Additional Inherited Members
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()

## Detailed Description

Xml Declaration.

A Xml Declaration for Xml document

## Constructor & Destructor Documentation

XmlText | ( | const String & | text | ) |

Constructor

Parameters

  text | The text

XmlText | ( | const XmlText & | orig | ) |

Copy constructor

Parameters

  orig | Original XmlText

virtual ~XmlText | ( |  | ) |
| virtual

Destructor

## Member Function Documentation

const String& getText | ( |  | ) | const
| inline

Returns
  The text kept by this Xml Text

bool onlySpaces | ( |  | ) |

Helper method to check if the text held by this XmlText contains only spaces

Returns
  False if the text contains non space characters.

virtual void replaceParams | ( | const NamedList & | params | ) |
| virtual

Replaces all ${paramname} in text with the corresponding parameters

Parameters

  params | List of parameters

Reimplemented from XmlChild.

void setText | ( | const char * | text | ) |
| inline

Set the text

Parameters

  text | Text to set in this XmlText

void toString | ( | String & | dump,
|  | bool | escape = `true`,
|  | const String & | indent = `String::empty()`,
|  | const String * | auth = `0`,
|  | const XmlElement * | parent = `0`
| ) |  | const

Build a String from this XmlText

Parameters

  dump | The string where to append representation
  escape | True if the text need to be escaped
  indent | Spaces for output
  auth | Optional list of tag and attribute names to be replaced with '***'. This parameter can be used when the result will be printed to output to avoid printing authentication data to output. The array must end with an empty string
  parent | Optional parent element whose tag will be searched in the auth list

virtual XmlText* xmlText | ( |  | ) |
| inlinevirtual

Get the Xml text

Returns
  This object

Reimplemented from XmlChild.

The documentation for this class was generated from the following file:

- yatexml.h